
Foreman - Feature #263

Correct pluralization "medium" <-> "media"

05/23/2010 09:20 AM - Jochen Schalanda

Status: Closed   

Priority: Low   

Assignee: Jochen Schalanda   

Category: Rails   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This is kind of a non-issue but I think it should be corrected on the long run.

Foreman uses the terminus (Installation) Media as singular and Medias as plural, which is wrong. The correct singular is "Medium"

and plural is "Media".

ActiveSupport::Inflector supports this irregular pluralization out-of-the-box:

# script/console

Loading development environment (Rails 2.3.5)

>> "medium".pluralize

=> "media" 

Associated revisions

Revision db59a916 - 12/20/2010 05:31 AM - Jochen Schalanda

Fixes #263 - Refactored Foreman to use correct singular and pluralization of medium/media

History

#1 - 05/23/2010 09:22 AM - Jochen Schalanda

- File 0001-Fixes-263-correct-pluralization-of-medium-media.patch added

Proposed patch to correct the spelling of medium and media throughout Foreman.

#2 - 11/09/2010 09:48 AM - Ohad Levy

- Assignee set to Jochen Schalanda

Hi,

From some reason, I missed this one, any chance you want to reapply the patch on the latest HEAD?

thanks...

#3 - 11/09/2010 09:48 AM - Ohad Levy

- Category set to Rails

#4 - 11/18/2010 01:30 PM - Jochen Schalanda

- File 0001-Fixes-263-Refactored-Foreman-to-use-correct-singular.patch added

Rebased the patch against latest HEAD.

#5 - 12/20/2010 08:40 AM - Jochen Schalanda
- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset db59a916ee6ab36f19ea8d8d2edb6a45d1b78e31.

#6 - 04/03/2011 11:45 AM - Jochen Schalanda

- Status changed from Ready For Testing to Closed

#7 - 04/03/2011 01:41 PM - Ohad Levy

- Target version set to 0.2

Files

0001-Fixes-263-correct-pluralization-of-medium-media.patch 31.3 KB 05/23/2010 Jochen Schalanda

0001-Fixes-263-Refactored-Foreman-to-use-correct-singular.patch 58.3 KB 11/18/2010 Jochen Schalanda
